Is een website onveilig als er veel WordPress plugins geinstalleerd zijn?

Door Diego Nijboer gepost op oktober 20, 2021

Te veel plugins geinstalleerd hebben, wordt over algemeen gezien als een slechte gewoonte. Dit klopt in de meeste gevallen. Plugins kunnen precies hetzelfde zijn als losse stukjes code, met het toegevoegde voordeel dat je ze makkelijk uit kunt schakelen en dat ze makkelijk via updates bij te werken zijn.

Des te meer plugins er geinstalleerd zijn, des te meer risico dat één daarvan een beveiligingsrisico op gaat leveren. Het gaat meer om de kwaliteit van de plugins dan de hoeveelheid plugins, één hele slechte plugin kan meer invloed hebben op de performance en veiligheid van een website dan 10 goed geprogrammeerde plugins.

Deze website heeft bijvoorbeeld op het moment van schrijven 45 plugins geinstalleerd (waarvan een groot deel extensions van een plugin zijn), maar toch is deze website heel snel en veilig.

Ook is het van belang dat de plugins regelmatig bijgewerkt worden, zowel door de auteur van de plugin, als de gebruiker die ze gebruikt. Deze updates kunnen uit zowel nieuwe functionaliteiten, als optimalisaties of beveiligings verbeteringen bestaan.

Outdated plugins of thema's is de grootste oorzaak bij een hack, maar liefst 98% van de websites die gehackt worden waren niet goed up to date. (Bron: https://patchstack.com/website-hacking-statistics/)

Bent u benieuwd naar mijn mening over een specifieke plugin, schroom niet om het mij te vragen! Of plan geheel vrijblijvend een meeting in.

Artikel geschreven door Diego Nijboer
Tijdens mijn studententijd heb ik mijzelf geprobeerd zoveel mogelijk te ontwikkelen, niet alleen door te studeren, maar ook door veel nevenactiviteiten, cursussen en ervaring op te doen. Naast mijn studie heb ik aan veel verschillende projecten gewerkt, ik heb veel werkervaring opgedaan bij verschillende bedrijven waar ik enorm ben gegroeid, en vervolgens ben ik vanuit passie met dit bedrijf begonnen.

Deze artikelen vind u misschien ook interessant:

laptop-phonerocketcodearrow-downlayers